import styled from "styled-components";
import React from 'react';
import { cv } from "../../style";
import { CaretDown } from "phosphor-react";
const Divver = styled.div`
    position: relative;
    border: solid 1px ${cv.border3};
    display: flex;
    align-items: center;
    border-radius: 4px;
    height: 32px;
    font-size: .875rem;
`;
const StyledSelect = styled.select`
    cursor: pointer;
    appearance: none;
    border-radius: inherit;
    border: 0;
    color: currentColor;
    font-size: inherit;
    outline: none;
    width: 100%;
    
    padding: 0px 12px;
    height: 100%;

    transition: 200ms;
    outline: solid 3px rgba(0,0,0,0);
    &:focus-within {
        border: 0;
        outline: solid 3px ${cv.outline};
    }

    /* Firefox hacks */
    // https://github.com/primer/react/blob/main/src/Select.tsx
    background-color: inherit;
    margin-top: 1px;
    margin-left: 1px;
    margin-bottom: 1px;

    &:disabled {
        background-color: transparent;
    }

    @media screen and (forced-colors: active) {
        &:disabled {
            background-color: -moz-combobox;
        }
    }
`;
const Icon = styled(CaretDown)`
    position: absolute;
    right: 8px;
    user-select: none;
    pointer-events: none;
`;
const Select_ = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Divver, null, /*#__PURE__*/React.createElement(StyledSelect, {
    ref: ref,
    required: props.required,
    disabled: props.disabled
  }, props.children), /*#__PURE__*/React.createElement(Icon, {
    size: 16,
    color: cv.text2
  }));
});

const Option = props => /*#__PURE__*/React.createElement("option", props);

const OptionGroup = props => /*#__PURE__*/React.createElement("optgroup", props);

export const Select = Object.assign(Select_, {
  Option,
  OptionGroup
});