import { Share } from "phosphor-react";
import { Link as LinkRouter } from "react-router-dom";
import styled, { css } from "styled-components";
import { cv } from "../../style";
const LinkStyle = css`
    color: ${cv.blue1};
    text-decoration: none;
    font-size: .875rem;
    line-height: 24px;

    &:hover {
        border-bottom: solid 1px ${cv.blue1};
    }
`;
const LinkA = styled.a`
    ${LinkStyle}
`;
const LinkLink = styled(LinkRouter)`
    ${LinkStyle}
`;
export function Link(props) {
  if (props.to) {
    return /*#__PURE__*/React.createElement(LinkLink, {
      to: props.to
    }, props.children);
  } else {
    return /*#__PURE__*/React.createElement(LinkA, {
      href: props.href,
      target: props.newTab ? '_self' : '_blank',
      rel: "noreferrer"
    }, props.children, props.showIcon && /*#__PURE__*/React.createElement(Share, {
      size: 16,
      color: cv.blue1,
      style: {
        marginLeft: '4px'
      }
    }));
  }
}