import { ComponentProps } from "react"
import styled from "styled-components"
import { cv } from "../../style"


const Divver = styled.div`

`

interface Props {
    type: 'text' | 'password' | 'search' | 'url'
    value: string
    onChange: Function
    placeholder?: string
    readonly?: boolean
    error?: string
    ref?: any
}

const Input = styled.textarea<Props>`
    display: block;
    width: 100%;
    border-radius: 4px;
    padding: 6px 12px;
    resize: vertical;
    height: 100px;

    transition: 100ms, height 0ms;
    border: solid 1px ${cv.border3};
    outline: solid 0px ${cv.outline};

    &:focus {
        outline: solid 3px ${cv.outline};
    }
`

const Message = styled.div`
    height: 20px;
    color: ${cv.red1};
    font-size: 12px;
    margin-top: 4px;
`

export function TextArea(props: Props) {
    return (
        <Divver>
            <Input {...props} onChange={(e) => !props.readonly && props.onChange(e.target.value)} />
            { props.error && <Message>{props.error}</Message>}
        </Divver>
    )
}

export type TextAreaProps = ComponentProps<typeof TextArea>